pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal > Struct Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointXYZLNormal &p) const
void | get (const pcl::PointXYZLNormal &p, float &intensity) const
void | set (pcl::PointXYZLNormal &p, float intensity) const
void | demean (pcl::PointXYZLNormal &p, float value) const
void | add (pcl::PointXYZLNormal &p, float value) const

## Detailed Description

Definition at line 384 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::add | ( | pcl::PointXYZLNormal & | p,
|  | float | value
| ) |  | const

inline

Definition at line 412 of file intensity.hpp.

References pcl::_PointXYZLNormal::label.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::demean | ( | pcl::PointXYZLNormal & | p,
|  | float | value
| ) |  | const

inline

Definition at line 406 of file intensity.hpp.

References pcl::_PointXYZLNormal::label.

## get()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::get | ( | const pcl::PointXYZLNormal & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 393 of file intensity.hpp.

References pcl::_PointXYZLNormal::label.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::operator() | ( | const pcl::PointXYZLNormal & | p | ) | const

inline

Definition at line 387 of file intensity.hpp.

References pcl::_PointXYZLNormal::label.

## set()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::set | ( | pcl::PointXYZLNormal & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 399 of file intensity.hpp.

References pcl::_PointXYZLNormal::label.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp